Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class CubicCurve2D.Float

    java.lang.Object
      java.awt.geom.CubicCurve2D
          java.awt.geom.CubicCurve2D.Float

All Implemented Interfaces:
  Shape, Cloneable

Enclosing class:
  CubicCurve2D

    public static class CubicCurve2D.Float

extends CubicCurve2D

A cubic parametric curve segment specified with float coordinates.

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.geom.CubicCurve2D
`CubicCurve2D.Double, CubicCurve2D.Float`

Field Summary
`float` | `ctrlx1` The X coordinate of the first control point of the cubic curve segment.
`float` | `ctrlx2` The X coordinate of the second control point of the cubic curve segment.
`float` | `ctrly1` The Y coordinate of the first control point of the cubic curve segment.
`float` | `ctrly2` The Y coordinate of the second control point of the cubic curve segment.
`float` | `x1` The X coordinate of the start point of the cubic curve segment.
`float` | `x2` The X coordinate of the end point of the cubic curve segment.
`float` | `y1` The Y coordinate of the start point of the cubic curve segment.
`float` | `y2` The Y coordinate of the end point of the cubic curve segment.

Constructor Summary
`CubicCurve2D.Float()` Constructs and initializes a CubicCurve with coordinates (0, 0, 0, 0, 0, 0).
`CubicCurve2D.Float(float x1, float y1, float ctrlx1, float ctrly1, float ctrlx2, float ctrly2, float x2, float y2)` Constructs and initializes a `CubicCurve2D` from the specified coordinates.

Method Summary
`Rectangle2D` | `getBounds2D()` Returns the bounding box of the shape.
`Point2D` | `getCtrlP1()` Returns the first control point.
`Point2D` | `getCtrlP2()` Returns the second control point.
`double` | `getCtrlX1()` Returns the X coordinate of the first control point in double precision.
`double` | `getCtrlX2()` Returns the X coordinate of the second control point in double precision.
`double` | `getCtrlY1()` Returns the Y coordinate of the first control point in double precision.
`double` | `getCtrlY2()` Returns the Y coordinate of the second control point in double precision.
`Point2D` | `getP1()` Returns the start point.
`Point2D` | `getP2()` Returns the end point.
`double` | `getX1()` Returns the X coordinate of the start point in double precision.
`double` | `getX2()` Returns the X coordinate of the end point in double precision.
`double` | `getY1()` Returns the Y coordinate of the start point in double precision.
`double` | `getY2()` Returns the Y coordinate of the end point in double precision.
`void` | `setCurve(double x1, double y1, double ctrlx1, double ctrly1, double ctrlx2, double ctrly2, double x2, double y2)` Sets the location of the endpoints and controlpoints of this `CubicCurve2D` to the specified double coordinates.
`void` | `setCurve(float x1, float y1, float ctrlx1, float ctrly1, float ctrlx2, float ctrly2, float x2, float y2)` Sets the location of the endpoints and controlpoints of this curve to the specified float coordinates.

Methods inherited from class java.awt.geom.CubicCurve2D
`clone, contains, contains, contains, contains, getBounds, getFlatness, getFlatness, getFlatness, getFlatnessSq, getFlatnessSq, getFlatnessSq, getPathIterator, getPathIterator, intersects, intersects, setCurve, setCurve, setCurve, setCurve, solveCubic, solveCubic, subdivide, subdivide, subdivide`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x1

    public float x1

  The X coordinate of the start point of the cubic curve segment.

### y1

    public float y1

  The Y coordinate of the start point of the cubic curve segment.

### ctrlx1

    public float ctrlx1

  The X coordinate of the first control point of the cubic curve segment.

### ctrly1

    public float ctrly1

  The Y coordinate of the first control point of the cubic curve segment.

### ctrlx2

    public float ctrlx2

  The X coordinate of the second control point of the cubic curve segment.

### ctrly2

    public float ctrly2

  The Y coordinate of the second control point of the cubic curve segment.

### x2

    public float x2

  The X coordinate of the end point of the cubic curve segment.

### y2

    public float y2

  The Y coordinate of the end point of the cubic curve segment.

Constructor Detail

### CubicCurve2D.Float

    public CubicCurve2D.Float()

  Constructs and initializes a CubicCurve with coordinates (0, 0, 0, 0, 0, 0).

### CubicCurve2D.Float

    public CubicCurve2D.Float(float x1,
                              float y1,
                              float ctrlx1,
                              float ctrly1,
                              float ctrlx2,
                              float ctrly2,
                              float x2,
                              float y2)

  Constructs and initializes a `CubicCurve2D` from the specified coordinates.

  Parameters:
    `x1, y1` - the first specified coordinates for the start point of the resulting `CubicCurve2D`
    `ctrlx1, ctrly1` - the second specified coordinates for the first control point of the resulting `CubicCurve2D`
    `ctrlx2, ctrly2` - the third specified coordinates for the second control point of the resulting `CubicCurve2D`
    `x2, y2` - the fourth specified coordinates for the end point of the resulting `CubicCurve2D`

Method Detail

### getX1

    public double getX1()

  Returns the X coordinate of the start point in double precision.

  Specified by:
    `getX1` in class `CubicCurve2D`
  Returns:
    the X coordinate of the start point of the `CubicCurve2D`.

### getY1

    public double getY1()

  Returns the Y coordinate of the start point in double precision.

  Specified by:
    `getY1` in class `CubicCurve2D`
  Returns:
    the Y coordinate of the start point of the `CubicCurve2D`.

### getP1

    public Point2D getP1()

  Returns the start point.

  Specified by:
    `getP1` in class `CubicCurve2D`
  Returns:
    a `Point2D` that is the start point of the `CubicCurve2D`.

### getCtrlX1

    public double getCtrlX1()

  Returns the X coordinate of the first control point in double precision.

  Specified by:
    `getCtrlX1` in class `CubicCurve2D`
  Returns:
    the X coordinate of the first control point of the `CubicCurve2D`.

### getCtrlY1

    public double getCtrlY1()

  Returns the Y coordinate of the first control point in double precision.

  Specified by:
    `getCtrlY1` in class `CubicCurve2D`
  Returns:
    the Y coordinate of the first control point of the `CubicCurve2D`.

### getCtrlP1

    public Point2D getCtrlP1()

  Returns the first control point.

  Specified by:
    `getCtrlP1` in class `CubicCurve2D`
  Returns:
    a `Point2D` that is the first control point of the `CubicCurve2D`.

### getCtrlX2

    public double getCtrlX2()

  Returns the X coordinate of the second control point in double precision.

  Specified by:
    `getCtrlX2` in class `CubicCurve2D`
  Returns:
    the X coordinate of the second control point of the `CubicCurve2D`.

### getCtrlY2

    public double getCtrlY2()

  Returns the Y coordinate of the second control point in double precision.

  Specified by:
    `getCtrlY2` in class `CubicCurve2D`
  Returns:
    the Y coordinate of the second control point of the `CubicCurve2D`.

### getCtrlP2

    public Point2D getCtrlP2()

  Returns the second control point.

  Specified by:
    `getCtrlP2` in class `CubicCurve2D`
  Returns:
    a `Point2D` that is the second control point of the `CubicCurve2D`.

### getX2

    public double getX2()

  Returns the X coordinate of the end point in double precision.

  Specified by:
    `getX2` in class `CubicCurve2D`
  Returns:
    the X coordinate of the end point of the `CubicCurve2D`.

### getY2

    public double getY2()

  Returns the Y coordinate of the end point in double precision.

  Specified by:
    `getY2` in class `CubicCurve2D`
  Returns:
    the Y coordinate of the end point of the `CubicCurve2D`.

### getP2

    public Point2D getP2()

  Returns the end point.

  Specified by:
    `getP2` in class `CubicCurve2D`
  Returns:
    a `Point2D` that is the end point of the `CubicCurve2D`.

### setCurve

    public void setCurve(double x1,
                         double y1,
                         double ctrlx1,
                         double ctrly1,
                         double ctrlx2,
                         double ctrly2,
                         double x2,
                         double y2)

  Sets the location of the endpoints and controlpoints of this `CubicCurve2D` to the specified double coordinates.

  Specified by:
    `setCurve` in class `CubicCurve2D`
  Parameters:
    `x1, y1` - the first specified coordinates used to set the start point of this `CubicCurve2D`
    `ctrlx1, ctrly1` - the second specified coordinates used to set the first control point of this `CubicCurve2D`
    `ctrlx2, ctrly2` - the third specified coordinates used to set the second control point of this `CubicCurve2D`
    `x2, y2` - the fourth specified coordinates used to set the end point of this `CubicCurve2D`

### setCurve

    public void setCurve(float x1,
                         float y1,
                         float ctrlx1,
                         float ctrly1,
                         float ctrlx2,
                         float ctrly2,
                         float x2,
                         float y2)

  Sets the location of the endpoints and controlpoints of this curve to the specified float coordinates.

  Parameters:
    `x1, y1` - the first specified coordinates used to set the start point of this `CubicCurve2D`
    `ctrlx1, ctrly1` - the second specified coordinates used to set the first control point of this `CubicCurve2D`
    `ctrlx2, ctrly2` - the third specified coordinates used to set the second control point of this `CubicCurve2D`
    `x2, y2` - the fourth specified coordinates used to set the end point of this `CubicCurve2D`

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the bounding box of the shape.

  Returns:
    a `Rectangle2D` that is the bounding box of the shape.
  See Also:
    `Shape.getBounds()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.